using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WerksverkaufScanner.Data
{
    [Table("KassiererGL", Schema = "KS")]
    public class Kassierer
    {
        [Key]
        public int KassiererId { get; set; }

        [Required, MaxLength(50)]
        public string Vorname { get; set; } = string.Empty;

        [Required, MaxLength(50)]
        public string Nachname { get; set; } = string.Empty;

        [Required, MaxLength(10)]
        public string KassenLogin { get; set; } = string.Empty;

        [Required]
        public int RollenId { get; set; }

        [Required]
        public DateTime AngelegtAm { get; set; }

        [Required, MaxLength(20)]
        public string AngelegtVon { get; set; } = string.Empty;

        public DateTime? GelöschtAm { get; set; }
    }
}
